"use strict";
exports.__esModule = true;
exports.toBeArrayMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeArrayMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isArray(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be an array"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be an array";
            return { message: message, pass: pass };
        }
    };
};
exports.toBeArrayMatcher = toBeArrayMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeArray: exports.toBeArrayMatcher
    });
});
