declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a valid `String` containing at least one character which is not whitespace.
             * @example
             * expect('i am visible').toBeVisibleString();
             */
            toBeVisibleString(): boolean;
        }
    }
}
export declare const toBeVisibleStringMatcher: () => {
    compare(value: any): {
        message: string;
        pass: boolean;
    };
};
