"use strict";
exports.__esModule = true;
exports.toBeOddNumberMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeOddNumberMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isOddNumber(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be an odd number"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be an odd number";
            return { message: message, pass: pass };
        }
    };
};
exports.toBeOddNumberMatcher = toBeOddNumberMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeOddNumber: exports.toBeOddNumberMatcher
    });
});
