"use strict";
exports.__esModule = true;
exports.toBeStringMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeStringMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isString(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be a string"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be a string";
            return { message: message, pass: pass };
        }
    };
};
exports.toBeStringMatcher = toBeStringMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeString: exports.toBeStringMatcher
    });
});
